#include "main.h"

#define DAISY_IN_H  					HAL_GPIO_WritePin(GPIOB, GPIO_PIN_6, GPIO_PIN_SET)
#define DAISY_IN_L 					HAL_GPIO_WritePin(GPIOB, GPIO_PIN_6, GPIO_PIN_RESET)

#define ADS8688_SCLK_H 			HAL_GPIO_WritePin(GPIOA, GPIO_PIN_6, GPIO_PIN_SET)
#define ADS8688_SCLK_L 			HAL_GPIO_WritePin(GPIOA, GPIO_PIN_6, GPIO_PIN_RESET)

#define ADS8688_nCS_H 				HAL_GPIO_WritePin(GPIOB, GPIO_PIN_5, GPIO_PIN_SET)
#define ADS8688_nCS_L 				HAL_GPIO_WritePin(GPIOB, GPIO_PIN_5, GPIO_PIN_RESET)

#define ADS8688_RST_PD_H 		HAL_GPIO_WritePin(GPIOB, GPIO_PIN_7, GPIO_PIN_SET)
#define ADS8688_RST_PD_L 		HAL_GPIO_WritePin(GPIOB, GPIO_PIN_7, GPIO_PIN_RESET)

#define ADS8688_SDI_H 				HAL_GPIO_WritePin(GPIOG, GPIO_PIN_10, GPIO_PIN_SET)
#define ADS8688_SDI_L 				HAL_GPIO_WritePin(GPIOG, GPIO_PIN_10, GPIO_PIN_RESET)

#define ADS8688_SDO 					HAL_GPIO_ReadPin(GPIOG, GPIO_PIN_11)

//Command Register 
#define NO_OP		0X0000//datasheet P43."Table 6. Command Register Map"
#define STDBY		0X8200//datasheet P43."Table 6. Command Register Map"
#define PWR_DN  	0X8300//datasheet P43."Table 6. Command Register Map"
#define RST	        0X8500//datasheet P43."Table 6. Command Register Map"
#define AUTO_RST	0XA000//datasheet P43."Table 6. Command Register Map"
#define MAN_Ch_0	0XC000//datasheet P43."Table 6. Command Register Map"
#define MAN_Ch_1	0XC400//datasheet P43."Table 6. Command Register Map"
#define MAN_Ch_2	0XC800//datasheet P43."Table 6. Command Register Map"
#define MAN_Ch_3	0XCC00//datasheet P43."Table 6. Command Register Map"
#define MAN_Ch_4	0XD000//datasheet P43."Table 6. Command Register Map"
#define MAN_Ch_5	0XD400//datasheet P43."Table 6. Command Register Map"
#define MAN_Ch_6	0XD800//datasheet P43."Table 6. Command Register Map"
#define MAN_Ch_7	0XDC00//datasheet P43."Table 6. Command Register Map"
#define MAN_AUX		0XE000//datasheet P43."Table 6. Command Register Map"




void ADS8688_Delay(uint32_t nCount);
void ADS8688A_SPI_WB(uint8_t com);
uint8_t ADS8688A_SPI_RB(void);
uint8_t ADS8688A_INIT(void);
void ADS8688A_WriteCommandReg(uint16_t command);//дADS8688Ĵ
unsigned short Get_MAN_Ch_n_Mode_Data(void);
void MAN_Ch_n_Mode(uint16_t ch);//ѡͨ
void Set_CH_Range_Select(uint8_t ch,uint8_t range); //øͨķΧ
void Get_AUTO_RST_Mode_Data(uint16_t* outputdata, uint8_t chnum);
void ADS8688A_Write_Program_Register(uint8_t Addr,uint8_t data);
void AUTO_RST_Mode(void);
unsigned short ADS8688_Sample_Init(void);   // ȡͨʾ
unsigned short ADS8688_Sample_Test(void);   // ȡͨʾ

